Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.mdxparse
Class sym

    java.lang.Object
      com.tonbeller.jpivot.olap.mdxparse.sym

    public class sym

extends java.lang.Object

CUP generated class containing symbol constants.

Field Summary
`static int` | `AMP_QUOTED_ID`
`static int` | `AND`
`static int` | `AS`
`static int` | `ASTERISK`
`static int` | `CASE`
`static int` | `CELL`
`static int` | `CELL_ORDINAL`
`static int` | `COLON`
`static int` | `COMMA`
`static int` | `CONCAT`
`static int` | `DIMENSION`
`static int` | `DOT`
`static int` | `DRILLTHROUGH`
`static int` | `ELSE`
`static int` | `EMPTY`
`static int` | `END`
`static int` | `EOF`
`static int` | `EQ`
`static int` | `error`
`static int` | `FROM`
`static int` | `GE`
`static int` | `GT`
`static int` | `ID`
`static int` | `LBRACE`
`static int` | `LE`
`static int` | `LPAREN`
`static int` | `LT`
`static int` | `MEMBER`
`static int` | `MINUS`
`static int` | `NE`
`static int` | `NON`
`static int` | `NOT`
`static int` | `NUMBER`
`static int` | `ON`
`static int` | `OR`
`static int` | `PLUS`
`static int` | `PROPERTIES`
`static int` | `QUOTE`
`static int` | `QUOTED_ID`
`static int` | `RBRACE`
`static int` | `RPAREN`
`static int` | `SELECT`
`static int` | `SET`
`static int` | `SOLIDUS`
`static int` | `STRING`
`static int` | `THEN`
`static int` | `UNKNOWN`
`static int` | `WHEN`
`static int` | `WHERE`
`static int` | `WITH`
`static int` | `XOR`

Constructor Summary
`sym()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WHEN

    public static final int WHEN

See Also:
  Constant Field Values

### WITH

    public static final int WITH

See Also:
  Constant Field Values

### GE

    public static final int GE

See Also:
  Constant Field Values

### CONCAT

    public static final int CONCAT

See Also:
  Constant Field Values

### ASTERISK

    public static final int ASTERISK

See Also:
  Constant Field Values

### EMPTY

    public static final int EMPTY

See Also:
  Constant Field Values

### DIMENSION

    public static final int DIMENSION

See Also:
  Constant Field Values

### XOR

    public static final int XOR

See Also:
  Constant Field Values

### CASE

    public static final int CASE

See Also:
  Constant Field Values

### LPAREN

    public static final int LPAREN

See Also:
  Constant Field Values

### QUOTED_ID

    public static final int QUOTED_ID

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### WHERE

    public static final int WHERE

See Also:
  Constant Field Values

### RPAREN

    public static final int RPAREN

See Also:
  Constant Field Values

### NOT

    public static final int NOT

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### LT

    public static final int LT

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### NON

    public static final int NON

See Also:
  Constant Field Values

### ON

    public static final int ON

See Also:
  Constant Field Values

### SELECT

    public static final int SELECT

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### QUOTE

    public static final int QUOTE

See Also:
  Constant Field Values

### MEMBER

    public static final int MEMBER

See Also:
  Constant Field Values

### ID

    public static final int ID

See Also:
  Constant Field Values

### DOT

    public static final int DOT

See Also:
  Constant Field Values

### LE

    public static final int LE

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### DRILLTHROUGH

    public static final int DRILLTHROUGH

See Also:
  Constant Field Values

### error

    public static final int error

See Also:
  Constant Field Values

### NUMBER

    public static final int NUMBER

See Also:
  Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### EQ

    public static final int EQ

See Also:
  Constant Field Values

### FROM

    public static final int FROM

See Also:
  Constant Field Values

### SOLIDUS

    public static final int SOLIDUS

See Also:
  Constant Field Values

### CELL_ORDINAL

    public static final int CELL_ORDINAL

See Also:
  Constant Field Values

### COLON

    public static final int COLON

See Also:
  Constant Field Values

### LBRACE

    public static final int LBRACE

See Also:
  Constant Field Values

### ELSE

    public static final int ELSE

See Also:
  Constant Field Values

### PROPERTIES

    public static final int PROPERTIES

See Also:
  Constant Field Values

### RBRACE

    public static final int RBRACE

See Also:
  Constant Field Values

### THEN

    public static final int THEN

See Also:
  Constant Field Values

### NE

    public static final int NE

See Also:
  Constant Field Values

### END

    public static final int END

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### AMP_QUOTED_ID

    public static final int AMP_QUOTED_ID

See Also:
  Constant Field Values

### CELL

    public static final int CELL

See Also:
  Constant Field Values

### AS

    public static final int AS

See Also:
  Constant Field Values

### GT

    public static final int GT

See Also:
  Constant Field Values

### SET

    public static final int SET

See Also:
  Constant Field Values

Constructor Detail

### sym

    public sym()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD